Bug 609503 - WIN RHQ-Agent down after JON upgrade from JON2.3.1 to JON2.4
WIN RHQ-Agent down after JON upgrade from JON2.3.1 to JON2.4
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
3.0.0
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2010-06-30 08:58 EDT by Rajan Timaniya
Modified: 2010-08-12 12:54 EDT (History)
0 users

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:54:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (33.29 KB, image/png)
2010-06-30 08:58 EDT, Rajan Timaniya
no flags Details

  None (edit)
Description Rajan Timaniya 2010-06-30 08:58:29 EDT
Created attachment 427985 [details]
screenshot

Description of problem:
Windows RHQ-Agent down after JON upgrade from JON 2.3.1 to JON 2.4 GA_QA (tag-jon-release build #44).

RHQ-Agent upgrade performs with following steps:
1) Starts upgrade agent and renames rhq-agent folder to rhq-agent-OLD
2) Creates new rhq-agent folder (for upgraded agent)
Observation: Upgraded rhq-agent folder didn't have any file

QE Environment:
JON server and agent installation platform: RHEL 5
Java: Sun JDK 1.6
Database: Postgres 8.4 (database installed on RHEL 5)

Windows agent installed on Win-2003
Java: Sun JDK 1.6


Version-Release number of selected component (if applicable):
JON 2.4 GA_QA (tag-jon-release build #44)
Revision: 10751


How reproducible:
Always

Steps to Reproduce:
1) JON 2.3.1 and agent installed on RHEL-5, Sun JDK 1.6 and Postgres 8.4
2) Install one more agent on Window-2003, Sun JDK 1.6
3) Upgrade JON 2.3.1 to JON 2.4 GA_QA (tag-jon-release build #44)
4) Observe Windows-2003 agent
  
Actual results:
Windows RHQ-Agent down after JON upgrade from JON 2.3.1 to JON 2.4 GA_QA (tag-jon-release build #44).

Expected results:
WIN RHQ-Agent should be upgraded as per server upgrade and it should be up and running after upgrade.

Additional info:
Windows-2003 agent console

Agent Name [10.65.193.5] :
Agent Hostname or IP Address [!*] : 10.65.193.5
Agent Port [16163] :
RHQ Server Hostname or IP Address [rajantest.usersys.redhat.com] :
RHQ Server Port [7080] :
The setup has been completed for the preferences at node [/rhq-agent/default].
> This version of the agent is not supported by the server - an agent update mus
t be applied
The agent update thread has started - will begin the agent auto-update now!
This version of the agent is not supported by the server - an agent update must
be applied
This version of the agent is not supported by the server - an agent update must
be applied
This version of the agent is not supported by the server - an agent update must
be applied
This version of the agent is not supported by the server - an agent update must
be applied
This version of the agent is not supported by the server - an agent update must
be applied
The agent will wait for [0] threads to die
Downloaded the agent update binary to [C:\jon\JON231\rhq-enterprise-agent-3.0.0.
GA_QA.jar]
Will use the Java executable [C:\Java\jdk1.6.0_20\bin\java.exe]
Now executing agent update - if all goes well, this is the last you will hear of
 this agent: [ProcessExecution: executable=[C:\Java\jdk1.6.0_20\bin\java.exe], a
rgs=[[-jar, C:\jon\JON231\rhq-enterprise-agent-3.0.0.GA_QA.jar, --pause=20000, -
-update=C:\jon\JON231\rhq-agent]], env-vars=[null], working-dir=[C:\jon\JON231],
 wait=[0], capture-output=[false], kill-on-timeout=[false], executable-is-comman
d=[true]]

C:\jon\JON231\rhq-agent\bin>
Comment 1 Rajan Timaniya 2010-07-01 08:33:00 EDT
Verified on JON 2.4 GA_QA (tag-jon-release build #46)
Revision: 10759

1) JON 2.3.1 and agent installed on RHEL-5, Sun JDK 1.6 and Postgres 8.4
2) Installed one more agent on Window-2003, Sun JDK 1.6 (agent installed as  a service and also make sure that all windows and console closed)
3) Upgraded JON 2.3.1 to JON 2.4 GA_QA (tag-jon-release build #44) - Keep all agents running
4) Observe Windows-2003 agent

WIN RHQ-Agent upgraded as per server upgrade and its up and running after upgrade.
Comment 2 Corey Welton 2010-08-12 12:54:14 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.